Bug 235357 - devel/liteide: Update to 35.4
Summary: devel/liteide: Update to 35.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlo Strub
URL: https://github.com/visualfc/liteide/r...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-31 18:12 UTC by Dmitri Goutnik
Modified: 2019-01-31 21:26 UTC (History)
1 user (show)

See Also:


Attachments
patch file (5.13 KB, patch)
2019-01-31 18:12 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-01-31 18:12:20 UTC
Created attachment 201563 [details]
patch file

- Update 34.2 -> 35.4
- Remove -qt4 flavor
- Remove dependency on unmaintained devel/go-gocode, switch to upstream maintained fork (https://github.com/visualfc/gocode)
- Install `gocode` and `gotools` tools to ${PREFIX}/libexec/liteide to avoid possible conflicts with other ports

Changelog: https://github.com/visualfc/liteide/releases/tag/x35.4

QA:
  poudriere testport: OK (112a, 112i, 120a)

Obsoletes bug #234732
Comment 1 Carlo Strub freebsd_committer 2019-01-31 21:26:35 UTC
committed. thanks a lot
Comment 2 commit-hook freebsd_committer 2019-01-31 21:26:43 UTC
A commit references this bug:

Author: cs
Date: Thu Jan 31 21:25:55 UTC 2019
New revision: 491761
URL: https://svnweb.freebsd.org/changeset/ports/491761

Log:
  - Update 34.2 -> 35.4
  - Remove -qt4 flavor
  - Remove dependency on unmaintained devel/go-gocode, switch to upstream maintained fork (https://github.com/visualfc/gocode)
  - Install `gocode` and `gotools` tools to ${PREFIX}/libexec/liteide to avoid possible conflicts with other ports

  PR:		235357
  Submitted by:	maintainer

Changes:
  head/devel/liteide/Makefile
  head/devel/liteide/distinfo
  head/devel/liteide/files/liteide.in
  head/devel/liteide/pkg-plist